/***************************************************************************************
*
* timer interrupt TS201.asm
*
* Accompaniment for:
* Guide for Porting Code from SHARC DSPs to TigerSHARC Processors (EE-241)
*
* Written by Andrew Caldwell and Maikel Kokaly-Bannourah 
*	
* June 2004 rev 1.0 
*
* This file shows a one-to-one conversion of the SHARC code, provided in the
* SHARC to TigerSHARC Conversion Examples section, to TigerSHARC. 
*
***************************************************************************************/

#include "defTS201.h"  	

.GLOBAL  start;
.GLOBAL  timerhi_isr;

.SECTION  program;
start:
/* Set up interrupt vector table */
j0 = timerhi_isr;;
IVTIMER0HP = j0;;

/*set to 0x1000 SOCCLK cycles*/
xr0 = 0x1000;;
xr1 = 0x0;;
TMRIN0L = xr0;;
TMRIN0H = xr1;;

/******************** Enable high priority timer interrupt ***********************/	
xr0 = IMASKH;;
xr0 = bset r0 by INT_TIMER0H_P;;
IMASKH = xr0;;

/************************* Set global interrupt enable ***************************/
SQCTLST = SQCTL_GIE;;
	
/********************************* Enable TIMER **********************************/	
xr0 = INTCTL;;
xr0 = bset r0 by INTCTL_TMR0RN_P;;
INTCTL = xr0;;

/********************************* Endless loop **********************************/
do_nothing:
NOP;;
NOP;;
JUMP do_nothing;;

Start.END:							start.END:

/**************************** Interrupt Service Routine **************************/
timerhi_isr:
nop;;
nop;;
nop;;
nop;;
rti(ABS)(NP);;
timerhi_isr.END:
